Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type DoubleRangeFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface DoubleRangeFieldValidator

This validator checks that a double field has a value within a specified range. If neither min nor max is set, nothing will be done.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
minInclusive | no |  | Double property. The inclusive minimum the number must be.
minInclusiveExpression | no |  | OGNL expression used to obtain the inclusive minimum the number must be.
maxInclusive | no |  | Double property. The inclusive maximum number can be.
maxInclusiveExpression | no |  | OGNL expression used to obtain the inclusive maximum number can be.
minExclusive | no |  | Double property. The exclusive minimum the number must be.
minExclusiveExpression | no |  | OGNL expression used to obtain the exclusive minimum the number must be.
maxExclusive | no |  | Double property. The exclusive maximum number can be.
maxExclusiveExpression | no |  | OGNL expression used to obtain the exclusive maximum number can be.

If neither min nor max is set, nothing will be done.

The values for min and max must be inserted as String values so that "0" can be handled as a possible value.

Example code:

     @DoubleRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, minInclusive = "0.123", maxInclusive = "99.987")

Version:
  $Id$
Author:
  Rainer Hermanns

Optional Element Summary
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`String` | `maxExclusive` Double property.
`String` | `maxExclusiveExpression` The exclusive maximum number can be defined as an expression
`String` | `maxInclusive` Double property.
`String` | `maxInclusiveExpression` The inclusive minimum the number must be defined as an expression
`String` | `message` The default error message for this validator.
`String[]` | `messageParams` Additional params to be used to customize message - will be evaluated against the Value Stack
`String` | `minExclusive` Double property.
`String` | `minExclusiveExpression` The exclusive maximum number can be defined as an expression
`String` | `minInclusive` Double property.
`String` | `minInclusiveExpression` The inclusive minimum the number must be defined as an expression
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

### minInclusive

    public abstract String minInclusive

  Double property. The inclusive minimum the number must be.

  Default:
    ""

### minInclusiveExpression

    public abstract String minInclusiveExpression

  The inclusive minimum the number must be defined as an expression

  Default:
    ""

### maxInclusive

    public abstract String maxInclusive

  Double property. The inclusive minimum the number must be.

  Default:
    ""

### maxInclusiveExpression

    public abstract String maxInclusiveExpression

  The inclusive minimum the number must be defined as an expression

  Default:
    ""

### minExclusive

    public abstract String minExclusive

  Double property. The exclusive maximum number can be.

  Default:
    ""

### minExclusiveExpression

    public abstract String minExclusiveExpression

  The exclusive maximum number can be defined as an expression

  Default:
    ""

### maxExclusive

    public abstract String maxExclusive

  Double property. The exclusive maximum number can be.

  Default:
    ""

### maxExclusiveExpression

    public abstract String maxExclusiveExpression

  The exclusive maximum number can be defined as an expression

  Default:
    ""

### message

    public abstract String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### messageParams

    public abstract String[] messageParams

  Additional params to be used to customize message - will be evaluated against the Value Stack

  Default:
    {}

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.